Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.dom
Class XDBNodeList

`java.lang.Object
oracle.xdb.dom.XDBNodeList`

All Implemented Interfaces:
  NodeList

Deprecated. as of Oracle Database 11g release 1, use oracle.xml.parser.v2.XMLNodeList

      public class XDBNodeList

extends java.lang.Object
implements NodeList

This class implements the W3C NodeList interface

Method Summary
`int` `getLength()` Deprecated. The number of nodes in the list.
`Node` `item(int index)` Deprecated. Returns the `index`th item in the collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLength

    public int getLength()

  Deprecated.
  Description copied from interface: `NodeList`
  The number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `NodeList`

### item

    public Node item(int index)

  Deprecated.
  Description copied from interface: `NodeList`
  Returns the `index`th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null`.
  Specified by:
    `item` in interface `NodeList`
  Returns:
    The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.